Skip to main content
Server path: /grafana-datasources | Type: Application | PCID required: Yes

Tools

ToolDescription
grafana_datasources_add_data_sourceCreate a data source.
grafana_datasources_call_datasource_resource_with_uidFetch data source resources.
grafana_datasources_check_datasource_health_with_uidSends a health check request to the plugin datasource identified by the UID.
grafana_datasources_create_correlationAdd correlation.
grafana_datasources_create_queryAdd query to query history.
grafana_datasources_datasource_proxy_deleteby_uidcallsData source proxy DELETE calls.
grafana_datasources_datasource_proxy_getby_uidcallsData source proxy GET calls.
grafana_datasources_datasource_proxy_postby_uidcallsData source proxy POST calls.
grafana_datasources_delete_annotation_by_idDelete Annotation By ID.
grafana_datasources_delete_correlationDelete a correlation.
grafana_datasources_delete_data_source_by_uidDelete an existing data source by UID.
grafana_datasources_delete_queryDelete query in query history.
grafana_datasources_get_annotation_by_idGet Annotation by ID.
grafana_datasources_get_annotation_tagsFind Annotations Tags.
grafana_datasources_get_annotationsFind Annotations.
grafana_datasources_get_correlationGets a correlation.
grafana_datasources_get_correlationsGets all correlations.
grafana_datasources_get_correlations_by_source_uidGets all correlations originating from the given data source.
grafana_datasources_get_data_source_by_uidGet a single data source by UID.
grafana_datasources_get_data_sourcesGet all data sources.
grafana_datasources_mass_delete_annotationsDelete multiple annotations.
grafana_datasources_patch_annotationPatch Annotation.
grafana_datasources_patch_query_commentUpdate comment for query in query history.
grafana_datasources_post_annotationCreate Annotation.
grafana_datasources_post_graphite_annotationCreate Annotation in Graphite format.
grafana_datasources_query_metrics_with_expressionsDataSource query metrics with expressions.
grafana_datasources_search_queriesQuery history search.
grafana_datasources_star_queryAdd star to query in query history.
grafana_datasources_unstar_queryRemove star to query in query history.
grafana_datasources_update_annotationUpdate Annotation.
grafana_datasources_update_correlationUpdates a correlation.
grafana_datasources_update_data_source_by_uidUpdate an existing data source.

grafana_datasources_add_data_source

Create a data source. Parameters:
ParameterTypeRequiredDefaultDescription
accessstringNoThe access value
basicAuthbooleanNoBasic Auth
basicAuthUserstringNoBasic Auth User
databasestringNoThe database value
isDefaultbooleanNoIs Default
jsonDataobjectNoJson Data
namestringNoThe name value
secureJsonDataobjectNoSecure Json Data
typestringNoThe type value
uidstringNoThe uid value
urlstringNoThe url value
userstringNoThe user value
withCredentialsbooleanNoWith Credentials

grafana_datasources_call_datasource_resource_with_uid

Fetch data source resources. Parameters:
ParameterTypeRequiredDefaultDescription
datasource_proxy_routestringYesDatasource Proxy Route
uidstringYesThe uid value

grafana_datasources_check_datasource_health_with_uid

Sends a health check request to the plugin datasource identified by the UID. Parameters:
ParameterTypeRequiredDefaultDescription
uidstringYesThe uid value

grafana_datasources_create_correlation

Add correlation. Parameters:
ParameterTypeRequiredDefaultDescription
sourceUIDstringYesSource UID
configobjectNoThe config value
descriptionstringNoOptional description of the correlation
labelstringNoOptional label identifying the correlation
provisionedbooleanNoTrue if correlation was created with provisioning. This makes it read-only.
targetUIDstringNoTarget data source UID to which the correlation is created. required if type = query
typestringNothe type of correlation, either query for containing query information, or external for containing an external URL +enum

grafana_datasources_create_query

Add query to query history. Parameters:
ParameterTypeRequiredDefaultDescription
datasourceUidstringNoUID of the data source for which are queries stored.
queriesobjectYesThe queries value

grafana_datasources_datasource_proxy_deleteby_uidcalls

Data source proxy DELETE calls. Parameters:
ParameterTypeRequiredDefaultDescription
uidstringYesThe uid value
datasource_proxy_routestringYesDatasource Proxy Route

grafana_datasources_datasource_proxy_getby_uidcalls

Data source proxy GET calls. Parameters:
ParameterTypeRequiredDefaultDescription
datasource_proxy_routestringYesDatasource Proxy Route
uidstringYesThe uid value

grafana_datasources_datasource_proxy_postby_uidcalls

Data source proxy POST calls. Parameters:
ParameterTypeRequiredDefaultDescription
datasource_proxy_routestringYesDatasource Proxy Route
uidstringYesThe uid value
bodyobjectYesRequest body

grafana_datasources_delete_annotation_by_id

Delete Annotation By ID. Parameters:
ParameterTypeRequiredDefaultDescription
annotation_idstringYesAnnotation Id

grafana_datasources_delete_correlation

Delete a correlation. Parameters:
ParameterTypeRequiredDefaultDescription
uidstringYesThe uid value
correlationUIDstringYesCorrelation UID

grafana_datasources_delete_data_source_by_uid

Delete an existing data source by UID. Parameters:
ParameterTypeRequiredDefaultDescription
uidstringYesThe uid value

grafana_datasources_delete_query

Delete query in query history. Parameters:
ParameterTypeRequiredDefaultDescription
query_history_uidstringYesQuery History Uid

grafana_datasources_get_annotation_by_id

Get Annotation by ID. Parameters:
ParameterTypeRequiredDefaultDescription
annotation_idstringYesAnnotation Id

grafana_datasources_get_annotation_tags

Find Annotations Tags. Parameters:
ParameterTypeRequiredDefaultDescription
tagstringNoTag is a string that you can use to filter tags.
limitstringNoMax limit for results returned.

grafana_datasources_get_annotations

Find Annotations. Parameters:
ParameterTypeRequiredDefaultDescription
fromintegerNoFind annotations created after specific epoch datetime in milliseconds.
tointegerNoFind annotations created before specific epoch datetime in milliseconds.
userIdintegerNoLimit response to annotations created by specific user.
alertIdintegerNoFind annotations for a specified alert rule by its ID. deprecated: AlertID is deprecated and will be removed in future versions. Please use AlertUID instead.
alertUIDstringNoFind annotations for a specified alert rule by its UID.
dashboardIdintegerNoFind annotations that are scoped to a specific dashboard
dashboardUIDstringNoFind annotations that are scoped to a specific dashboard
panelIdintegerNoFind annotations that are scoped to a specific panel
limitintegerNoMax limit for results returned.
tagsstring[]NoUse this to filter organization annotations. Organization annotations are annotations from an annotation data source that are not connected specifically to a dashboard or panel. You can filter by multiple tags.
typestringNoReturn alerts or user created annotations
matchAnybooleanNoMatch any or all tags

grafana_datasources_get_correlation

Gets a correlation. Parameters:
ParameterTypeRequiredDefaultDescription
sourceUIDstringYesSource UID
correlationUIDstringYesCorrelation UID

grafana_datasources_get_correlations

Gets all correlations. Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoLimit the maximum number of correlations to return per page
pageintegerNoPage index for starting fetching correlations
sourceUIDstring[]NoSource datasource UID filter to be applied to correlations

grafana_datasources_get_correlations_by_source_uid

Gets all correlations originating from the given data source. Parameters:
ParameterTypeRequiredDefaultDescription
sourceUIDstringYesSource UID

grafana_datasources_get_data_source_by_uid

Get a single data source by UID. Parameters:
ParameterTypeRequiredDefaultDescription
uidstringYesThe uid value

grafana_datasources_get_data_sources

Get all data sources.

grafana_datasources_mass_delete_annotations

Delete multiple annotations. Parameters:
ParameterTypeRequiredDefaultDescription
annotationIdintegerNoAnnotation Id
dashboardIdintegerNoDashboard Id
dashboardUIDstringNoDashboard UID
panelIdintegerNoPanel Id

grafana_datasources_patch_annotation

Patch Annotation. Parameters:
ParameterTypeRequiredDefaultDescription
annotation_idstringYesAnnotation Id
dataobjectNoThe data value
idintegerNoThe id value
tagsstring[]NoThe tags value
textstringNoThe text value
timeintegerNoThe time value
timeEndintegerNoTime End

grafana_datasources_patch_query_comment

Update comment for query in query history. Parameters:
ParameterTypeRequiredDefaultDescription
query_history_uidstringYesQuery History Uid
commentstringNoUpdated comment

grafana_datasources_post_annotation

Create Annotation. Parameters:
ParameterTypeRequiredDefaultDescription
dashboardIdintegerNoDashboard Id
dashboardUIDstringNoDashboard UID
dataobjectNoThe data value
panelIdintegerNoPanel Id
tagsstring[]NoThe tags value
textstringYesThe text value
timeintegerNoThe time value
timeEndintegerNoTime End

grafana_datasources_post_graphite_annotation

Create Annotation in Graphite format. Parameters:
ParameterTypeRequiredDefaultDescription
datastringNoThe data value
tagsobjectNoThe tags value
whatstringNoThe what value
whenintegerNoThe when value

grafana_datasources_query_metrics_with_expressions

DataSource query metrics with expressions. Parameters:
ParameterTypeRequiredDefaultDescription
debugbooleanNoThe debug value
fromstringYesFrom Start time in epoch timestamps in milliseconds or relative using Grafana time units.
queriesobject[]Yesqueries.refId – Specifies an identifier of the query. Is optional and default to “A”. queries.datasourceId – Specifies the data source to be queried. Each query in the request must have an unique datasourceId. queries.maxDataPoints - Species maximum amount of data points that dashboard panel can render. Is optional and default to 100. queries.intervalMs - Specifies the time interval in milliseconds of time series. Is optional and defaults to 1000.
tostringYesTo End time in epoch timestamps in milliseconds or relative using Grafana time units.

grafana_datasources_search_queries

Query history search. Parameters:
ParameterTypeRequiredDefaultDescription
datasourceUidstring[]NoList of data source UIDs to search for
searchStringstringNoText inside query or comments that is searched for
onlyStarredbooleanNoFlag indicating if only starred queries should be returned
sortstringNoSort method
pageintegerNoUse this parameter to access hits beyond limit. Numbering starts at 1. limit param acts as page size.
limitintegerNoLimit the number of returned results
fromintegerNoFrom range for the query history search
tointegerNoTo range for the query history search

grafana_datasources_star_query

Add star to query in query history. Parameters:
ParameterTypeRequiredDefaultDescription
query_history_uidstringYesQuery History Uid

grafana_datasources_unstar_query

Remove star to query in query history. Parameters:
ParameterTypeRequiredDefaultDescription
query_history_uidstringYesQuery History Uid

grafana_datasources_update_annotation

Update Annotation. Parameters:
ParameterTypeRequiredDefaultDescription
annotation_idstringYesAnnotation Id
dataobjectNoThe data value
idintegerNoThe id value
tagsstring[]NoThe tags value
textstringNoThe text value
timeintegerNoThe time value
timeEndintegerNoTime End

grafana_datasources_update_correlation

Updates a correlation. Parameters:
ParameterTypeRequiredDefaultDescription
sourceUIDstringYesSource UID
correlationUIDstringYesCorrelation UID
configobjectNoThe config value
descriptionstringNoOptional description of the correlation
labelstringNoOptional label identifying the correlation
typestringNothe type of correlation, either query for containing query information, or external for containing an external URL +enum

grafana_datasources_update_data_source_by_uid

Update an existing data source. Parameters:
ParameterTypeRequiredDefaultDescription
uidstringYesThe uid value
accessstringNoThe access value
basicAuthbooleanNoBasic Auth
basicAuthUserstringNoBasic Auth User
databasestringNoThe database value
isDefaultbooleanNoIs Default
jsonDataobjectNoJson Data
namestringNoThe name value
secureJsonDataobjectNoSecure Json Data
typestringNoThe type value
urlstringNoThe url value
userstringNoThe user value
versionintegerNoThe previous version — used for optimistic locking
withCredentialsbooleanNoWith Credentials